; $Id: pointertest.pro,v 1.2 2002/01/14 20:59:25 amunter Exp $
pro pointerTest
parmStr = {yPtr:ptr_new(/allocate_heap)}
state = {inValue:10.0,parmStr:parmStr}
pState = ptrarr(5,/allocate_heap)
help,pState
for i = 0,4 do *pState[i] =state
help,/heap
print,'N = ',n_elements(pState)
;for i = 0,4 do begin
;  dave_beast_ops,"remove",pState[i]
;endfor
ptr_free,(*pState[0]).parmStr.yPtr
ptr_free,pState
help,/heap
end